Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_lim2.cfg
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_lim2.cfg	(revision 1551)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_lim2.cfg	(revision 1551)
@@ -0,0 +1,50 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2009/05/14 15:09:35 $
+# $Name: ATLAS_608_1_5 $
+# $Revision: 1.1.1.1 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by '#' character
+#   - Separator between fields is '|' character
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset
+#   - files patterns, operations,title,units must be enclosed with character '"'
+#   - fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=D4E3E6
+smooth=12
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+ iicethic_north  | "iicethic ileadfra"  | ORCA2.3_grid.nc | "(iicethic[d=1])" | "Ice thickness (NORTH)"      | "m" | "if lat[d=3] ge 0 and ileadfra[d=2] ne 0 then ileadfra[d=2]*mask[k=1,d=3]*area[d=3]"
+ iicethic_south  | "iicethic ileadfra"  | ORCA2.3_grid.nc | "(iicethic[d=1])" | "Ice thickness (SOUTH)"      | "m" | "if lat[d=3] le 0 and ileadfra[d=2] ne 0 then ileadfra[d=2]*mask[k=1,d=3]*area[d=3]"
+ isnowthi_north  | "isnowthi ileadfra"  | ORCA2.3_grid.nc | "(isnowthi[d=1])" | "Snow thickness (NORTH)"     | "m" | "if lat[d=3] ge 0 and ileadfra[d=2] ne 0 then ileadfra[d=2]*mask[k=1,d=3]*area[d=3]"
+ isnowthi_south  | "isnowthi ileadfra"  | ORCA2.3_grid.nc | "(isnowthi[d=1])" | "Snow thickness (SOUTH)"     | "m" | "if lat[d=3] le 0 and ileadfra[d=2] ne 0 then ileadfra[d=2]*mask[k=1,d=3]*area[d=3]"
+ icesurf_north   | "ileadfra"           | ORCA2.3_grid.nc | "(if lat[d=2] gt 0 then ileadfra[d=1]*area[d=2]*mask[k=1,d=2])"               | "Ice surface (NORTH)"  | "m2" | "2"
+ icesurf_south   | "ileadfra"           | ORCA2.3_grid.nc | "(if lat[d=2] lt 0 then ileadfra[d=1]*area[d=2]*mask[k=1,d=2])"               | "Ice surface (SOUTH)"  | "m2" | "2"
+ icevol_north    | "ileadfra iicethic"  | ORCA2.3_grid.nc | "(if lat[d=3] gt 0 then ileadfra[d=1]*iicethic[d=2]*area[d=3]*mask[k=1,d=3])" | "Ice volume (NORTH)"   | "m3" | "2"
+ icevol_south    | "ileadfra iicethic"  | ORCA2.3_grid.nc | "(if lat[d=3] lt 0 then ileadfra[d=1]*iicethic[d=2]*area[d=3]*mask[k=1,d=3])" | "Ice volume (SOUTH)"   | "m3" | "2"
+ snowvol_north   | "ileadfra isnowthi"  | ORCA2.3_grid.nc | "(if lat[d=3] gt 0 then ileadfra[d=1]*isnowthi[d=2]*area[d=3]*mask[k=1,d=3])" | "Snow volume (NORTH)"  | "m3" | "2"
+ snowvol_south   | "ileadfra isnowthi"  | ORCA2.3_grid.nc | "(if lat[d=3] lt 0 then ileadfra[d=1]*isnowthi[d=2]*area[d=3]*mask[k=1,d=3])" | "Snow volume (SOUTH)"  | "m3" | "2"
+#-----------------------------------------------------------------------------------------------------------------
+
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_lmdz.cfg
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_lmdz.cfg	(revision 1551)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_lmdz.cfg	(revision 1551)
@@ -0,0 +1,84 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2009/05/14 15:09:35 $
+# $Name: ATLAS_608_1_5 $
+# $Revision: 1.1.1.2 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=AECDFF
+smooth=12
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+ bils_global    | "bils"                       | "" | "bils[d=1]"               | "Surf. total heat flux (GLOBAL)"         | "W/m^2"     | "aire[d=1]"   
+ nettop_global  | "tops topl"                  | "" | "(tops[d=1]-topl[d=2])"   | "TOA. total heat flux (GLOBAL)"          | "W/m^2"     | "aire[d=1]"
+ nettop0_global | "tops0 topl0"                | "" | "(tops0[d=1]-topl0[d=2])" | "TOA. total heat flux ClearSky (GLOBAL)" | "W/m^2"     | "aire[d=1]"
+ t2m_global     | "t2m"                        | "" | "(t2m[d=1]-273.15)"       | "Temperature at 2 meters (GLOBAL)"       | "degrees C" | "aire[d=1]"
+ t2m_land       | "t2m pourc_ter pourc_lic"    | "" | "(t2m[d=1]-273.15)"       | "Temperature at 2 meters (LAND)"         | "degrees C" | "aire[d=1]*((pourc_ter[d=2]+pourc_lic[d=3])/100.)"
+ tsol_global    | "tsol"                       | "" | "(tsol[d=1]-273.15)"      | "Surface Temperature (GLOBAL)"           | "degrees C" | "aire[d=1]"
+ tsol_land      | "tsol pourc_ter pourc_lic"   | "" | "(tsol[d=1]-273.15)"      | "Surface Temperature (LAND)"             | "degrees C" | "aire[d=1]*((pourc_ter[d=2]+pourc_lic[d=3])/100.)"
+ precip_global  | "precip"                     | "" | "precip[d=1]*86400"       | "Precipitation Totale liq+sol (GLOBAL)"  | "mm/d"      | "aire[d=1]"
+ precip_land    | "precip pourc_ter pourc_lic" | "" | "precip[d=1]*86400"       | "Precipitation Totale liq+sol (LAND)"    | "mm/d"      | "aire[d=1]*((pourc_ter[d=2]+pourc_lic[d=3])/100.)"
+ evap_global    | "evap"                       | "" | "evap[d=1]"               | "Evaporation (GLOBAL)"                   | "kg/(s*m2)" | "aire[d=1]"
+ evap_land      | "evap pourc_ter pourc_lic"   | "" | "evap[d=1]"               | "Evaporation (LAND)"                     | "kg/(s*m2)" | "aire[d=1]*((pourc_ter[d=2]+pourc_lic[d=3])/100.)"
+ flat_global    | "lat_ter pourc_ter lat_sic pourc_sic lat_lic pourc_lic lat_oce pourc_oce" | "" | "(lat_ter[d=1]*pourc_ter[d=2]+lat_sic[d=3]*pourc_sic[d=4]+lat_lic[d=5]*pourc_lic[d=6]+lat_oce[d=7]*pourc_oce[d=8])" | "Latent Heat Flux (GLOBAL)"      | "W/m^2" | "aire[d=1]"
+ od550aer_forcing       | "od550aer"              | "" | "od550aer[d=1]"           | "Total aerosol optical depth at 550nm"   | "-"         | "aire[d=1]"   
+ od550lt1aer_forcing    | "od550lt1aer"           | "" | "od550lt1aer[d=1]"        | "Fine mode optical depth"                | "-"         | "aire[d=1]"   
+ absvisaer_forcing      | "absvisaer"             | "" | "absvisaer[d=1]"          | "Absorption aerosol visible optical depth" | "-"       | "aire[d=1]"   
+ swtoaas_ant_forcing    | "swtoaas_ant"           | "" | "swtoaas_ant[d=1]"        | "Anthropogenic aerosol radiative forcing all-sky at TOA"         | "W/m^2"   | "aire[d=1]"   
+ swtoacs_ant_forcing    | "swtoacs_ant"           | "" | "swtoacs_ant[d=1]"        | "Anthropogenic aerosol radiative forcing clear-sky at TOA"       | "W/m^2"   | "aire[d=1]" 
+ swtoacf_ant_forcing    | "swtoacf_ant"           | "" | "swtoacf_ant[d=1]"        | "Anthropogenic aerosol impact on cloud radiative forcing at TOA" | "W/m^2"   | "aire[d=1]" 
+ swsrfas_ant_forcing    | "swsrfas_ant"           | "" | "swsrfas_ant[d=1]"        | "Anthropogenic aerosol radiative forcing all-sky at SRF"         | "W/m^2"   | "aire[d=1]"  
+ swsrfcs_ant_forcing    | "swsrfcs_ant"           | "" | "swsrfcs_ant[d=1]"        | "Anthropogenic aerosol radiative forcing clear-sky at SRF"       | "W/m^2"   | "aire[d=1]" 
+ swsrfcf_ant_forcing    | "swsrfcf_ant"           | "" | "swsrfcf_ant[d=1]"        | "Anthropogenic aerosol impact on cloud radiative forcing at SRF" | "W/m^2"   | "aire[d=1]"
+ swtoaas_nat_forcing    | "swtoaas_nat"           | "" | "swtoaas_nat[d=1]"        | "Natural aerosol radiative forcing all-sky at TOA"               | "W/m^2"   | "aire[d=1]"   
+ swtoacs_nat_forcing    | "swtoacs_nat"           | "" | "swtoacs_nat[d=1]"        | "Natural aerosol radiative forcing clear-sky at TOA"             | "W/m^2"   | "aire[d=1]" 
+ swtoacf_nat_forcing    | "swtoacf_nat"           | "" | "swtoacf_nat[d=1]"        | "Natural aerosol impact on cloud radiative forcing at TOA"       | "W/m^2"   | "aire[d=1]" 
+ swsrfas_nat_forcing    | "swsrfas_nat"           | "" | "swsrfas_nat[d=1]"        | "Natural aerosol radiative forcing all-sky at SRF"               | "W/m^2"   | "aire[d=1]"  
+ swsrfcs_nat_forcing    | "swsrfcs_nat"           | "" | "swsrfcs_nat[d=1]"        | "Natural aerosol radiative forcing clear-sky at SRF"             | "W/m^2"   | "aire[d=1]" 
+ swsrfcf_nat_forcing    | "swsrfcf_nat"           | "" | "swsrfcf_nat[d=1]"        | "Natural aerosol impact on cloud radiative forcing at SRF"       | "W/m^2"   | "aire[d=1]"
+ topswai_forcing        | "topswai"               | "" | "topswai[d=1]"            | "AIE at TOA"                             | "W/m^2" | "aire[d=1]"
+ solswai_forcing        | "solswai"               | "" | "solswai[d=1]"            | "AIE at SRF"                             | "W/m^2" | "aire[d=1]"
+ swtoacf_zero_forcing   | "swtoacf_zero"          | "" | "swtoacf_zero[d=1]"       | "Cloud radiative forcing (allsky-clearsky fluxes) at TOA" | "W/m^2" | "aire[d=1]"
+ swsrfcf_zero_forcing   | "swsrfcf_zero"          | "" | "swsrfcf_zero[d=1]"       | "Cloud radiative forcing (allsky-clearsky fluxes) at SRF" | "W/m^2" | "aire[d=1]"
+ tro3_strato_forcing    | "tro3"                  | "" | "tro3[x=@din,y=@din,k=1:7@sum,d=1]"  | "ozone strato k=1:7@sum" | "Mole" | ""
+ tro3_tropo_forcing     | "tro3"                  | "" | "tro3[x=@din,y=@din,k=8:17@sum,d=1]" | "ozone trop k=8:17@sum"  | "Mole" | ""
+ solaire_forcing        | "solaire"               | "" | "solaire[d=1]"   | "Constante solaire"      | "W/m^2" | "1"
+ co2_ppm_forcing        | "co2_ppm"               | "" | "co2_ppm[d=1]"   | "Concentration du CO2"   | "ppm"   | "1"
+ CH4_ppb_forcing        | "CH4_ppb"               | "" | "CH4_ppb[d=1]"   | "Concentration du CH4"   | "ppb"   | "1"
+ N2O_ppb_forcing        | "N2O_ppb"               | "" | "N2O_ppb[d=1]"   | "Concentration du N2O"   | "ppb"   | "1"
+ CFC11_ppt_forcing      | "CFC11_ppt"             | "" | "CFC11_ppt[d=1]" | "Concentration du CFC11" | "ppt"   | "1"
+ CFC12_ppt_forcing      | "CFC12_ppt"             | "" | "CFC12_ppt[d=1]" | "Concentration du CFC12" | "ppt"   | "1"
+## R_ecc_forcing      | "R_ecc"                  | "" | "R_ecc[d=1]"   | "Excentricite"      | "-"     | "1"
+## R_peri_forcing     | "R_peri"                 | "" | "R_peri[d=1]"  | "Equinoxe"          | "-"     | "1"
+## R_incl_forcing     | "R_incl"                 | "" | "R_incl[d=1]"  | "Inclinaison"       | "deg"   | "1"
+#-----------------------------------------------------------------------------------------------------------------
+
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_opa9.cfg
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_opa9.cfg	(revision 1551)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_opa9.cfg	(revision 1551)
@@ -0,0 +1,67 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2009/05/14 15:09:35 $
+# $Name: ATLAS_608_1_5 $
+# $Revision: 1.1.1.1 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by '#' character
+#   - Separator between fields is '|' character
+#   - Operations must use the ferret syntax
+#   - Each variable must be referenced to its dataset ie var[d=x]
+#   - files patterns, operations,title,units must be enclosed with character '"'
+#   - fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=6D80FF
+smooth=12
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+ sosstsst_global  | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])"                                    | "Sea Surface Temperature (GLOBAL)" | "degC"  | "mask[k=1,d=2]*area[d=2]"
+ sohtc300_global  | "sohtc300"  | ORCA2.3_grid.nc | "(sohtc300[d=1])"                                    | "Heat content 300 m (GLOBAL)"      | "W"     | "mask[k=1,d=2]*area[d=2]"
+ sosaline_global  | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])"                                    | "Sea Surface Salinity (GLOBAL)"    | "PSU"   | "mask[k=1,d=2]*area[d=2]"
+ sossheig_global  | "sossheig"  | ORCA2.3_grid.nc | "(sossheig[d=1])"                                    | "Sea Surface Heigh (GLOBAL)"       | "m"     | "mask[k=1,d=2]*area[d=2]"
+ sohefldo_global  | "sohefldo"  | ORCA2.3_grid.nc | "(sohefldo[d=1])"                                    | "Net Downward Heat Flux (GLOBAL)"  | "W/m^2" | "mask[k=1,d=2]*area[d=2]"
+ nadw_ocean       | "zomsfatl"  |       ""        | "(zomsfatl[z=500:6000@max,y=10:55@max,d=1])"         | "North Atlantic Deep Water"        | "Sv"    | "1"
+ npdw_ocean       | "zomsfpac"  |       ""        | "(zomsfpac[z=500:6000@max,y=10:55@max,d=1])"         | "North Pacific Deep Water"         | "Sv"    | "1"
+ aabw_ocean       | "zomsfglo"  |       ""        | "(zomsfglo[z=2000:6000@max,y=-50:60@max,d=1])"       | "Antarctic Bottom Water"           | "Sv"    | "1"
+ deacon_ocean     | "zomsfglo"  |       ""        | "(zomsfglo[z=2000:6000@max,y=-80:-30@max,d=1])"      | "Deacon Cell"                      | "Sv"    | "1"
+ somxl010_north   | "somxl010"  | ORCA2.3_grid.nc | "(somxl010[d=1])" | "Mixed layer depth (NORTH)"         | "m"     | "(if lat[d=2] gt 0 then mask[k=1,d=2]*area[d=2])"
+ somxl010_south   | "somxl010"  | ORCA2.3_grid.nc | "(somxl010[d=1])" | "Mixed layer depth (SOUTH)"         | "m"     | "(if lat[d=2] lt 0 then mask[k=1,d=2]*area[d=2])"
+ sosstsst_70N_90N | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])" | "Sea Surface Temperature (70N-90N)" | "degC"  | "(if lat[d=2] ge  70                     then mask[k=1,d=2]*area[d=2])"
+ sosstsst_50N_70N | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])" | "Sea Surface Temperature (50N-70N)" | "degC"  | "(if lat[d=2] ge  50 and lat[d=2] le  70 then mask[k=1,d=2]*area[d=2])"
+ sosstsst_30N_50N | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])" | "Sea Surface Temperature (30N-50N)" | "degC"  | "(if lat[d=2] ge  30 and lat[d=2] le  50 then mask[k=1,d=2]*area[d=2])"
+ sosstsst_10N_30N | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])" | "Sea Surface Temperature (10N-30N)" | "degC"  | "(if lat[d=2] ge  10 and lat[d=2] le  30 then mask[k=1,d=2]*area[d=2])"
+ sosstsst_10S_10N | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])" | "Sea Surface Temperature (10S-10N)" | "degC"  | "(if lat[d=2] ge -10 and lat[d=2] le  10 then mask[k=1,d=2]*area[d=2])"
+ sosstsst_30S_10S | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])" | "Sea Surface Temperature (30S-10S)" | "degC"  | "(if lat[d=2] ge -30 and lat[d=2] le -10 then mask[k=1,d=2]*area[d=2])"
+ sosstsst_50S_30S | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])" | "Sea Surface Temperature (50S-30S)" | "degC"  | "(if lat[d=2] ge -50 and lat[d=2] le -30 then mask[k=1,d=2]*area[d=2])"
+ sosstsst_70S_50S | "sosstsst"  | ORCA2.3_grid.nc | "(sosstsst[d=1])" | "Sea Surface Temperature (70S-50S)" | "degC"  | "(if                     lat[d=2] le -50 then mask[k=1,d=2]*area[d=2])"
+ sosaline_70N_90N | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])" | "Sea Surface Salinity (70N-90N)"    | "PSU"   | "(if lat[d=2] ge  70                     then mask[k=1,d=2]*area[d=2])"
+ sosaline_50N_70N | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])" | "Sea Surface Salinity (50N-70N)"    | "PSU"   | "(if lat[d=2] ge  50 and lat[d=2] le  70 then mask[k=1,d=2]*area[d=2])"
+ sosaline_30N_50N | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])" | "Sea Surface Salinity (30N-50N)"    | "PSU"   | "(if lat[d=2] ge  30 and lat[d=2] le  50 then mask[k=1,d=2]*area[d=2])"
+ sosaline_10N_30N | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])" | "Sea Surface Salinity (10N-30N)"    | "PSU"   | "(if lat[d=2] ge  10 and lat[d=2] le  30 then mask[k=1,d=2]*area[d=2])"
+ sosaline_10S_10N | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])" | "Sea Surface Salinity (10S-10N)"    | "PSU"   | "(if lat[d=2] ge -10 and lat[d=2] le  10 then mask[k=1,d=2]*area[d=2])"
+ sosaline_30S_10S | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])" | "Sea Surface Salinity (30S-10S)"    | "PSU"   | "(if lat[d=2] ge -30 and lat[d=2] le -10 then mask[k=1,d=2]*area[d=2])"
+ sosaline_50S_30S | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])" | "Sea Surface Salinity (50S-30S)"    | "PSU"   | "(if lat[d=2] ge -50 and lat[d=2] le -30 then mask[k=1,d=2]*area[d=2])"
+ sosaline_70S_50S | "sosaline"  | ORCA2.3_grid.nc | "(sosaline[d=1])" | "Sea Surface Salinity (70S-50S)"    | "PSU"   | "(if                     lat[d=2] le -50 then mask[k=1,d=2]*area[d=2])"
+#-----------------------------------------------------------------------------------------------------------------
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_orchidee.cfg
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_orchidee.cfg	(revision 1551)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_orchidee.cfg	(revision 1551)
@@ -0,0 +1,48 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2009/05/14 15:09:35 $
+# $Name: ATLAS_608_1_5 $
+# $Revision: 1.1.1.2 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=E7FFAB
+smooth=12
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+temp_sol_lands | "temp_sol"         |  ""              | "temp_sol[d=1]"                    | "TSOL (LANDS)"                 | "K/d"    | "Areas[d=1]*Contfrac[d=1]"
+humidity_lands | "bqsb gqsb"        |  ""              | "(bqsb[d=1]+gqsb[d=2])"            | "Total Soil Moisture  (LANDS)" | "1"      | "Areas[d=1]*Contfrac[d=1]"
+albedo_lands   | "alb_vis alb_nir"  |  ""              | "((alb_vis[d=1]+alb_nir[d=2])*0.5)"| "Mean Albedo (LANDS)"          | "1"      | "Areas[d=1]*Contfrac[d=1]"
+snow_lands     | "snow"             |  ""              | "snow[d=1]"                        | "Snow Mass (LANDS)"            | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
+maxveget_lands | "maxvegetfrac"     |  ""              | "maxvegetfrac[d=1,K=12:13]"        | "vegetmax[pft=12,13] (LANDS)"  | "1"      | "2"
+nee_lands      | "nee maxvegetfrac" |  ""              | "(nee[d=1]*365*86400*maxvegetfrac[d=2]*Areas[d=1]*Contfrac[d=1]/1e15)"  | "Net Ecosystem Exchange"    | "PgC/yr" | "2"
+maxveget_forcing | "maxvegetfrac"   |  ""              | "((maxvegetfrac[d=1,K=12]+maxvegetfrac[d=1,K=13])*Areas[d=1]*Contfrac[d=1]/1e12)" | "maxveget surface[pft=12,13] "  | "Mkm^2"  | "2"
+#------------------------------------------------------------------------------------------------------------------------------------------------------
Index: CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_stomate.cfg
===================================================================
--- CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_stomate.cfg	(revision 1551)
+++ CONFIG/IPSLCM/IPSLCM5-2/EXPALL/POST/monitoring01_stomate.cfg	(revision 1551)
@@ -0,0 +1,51 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2009/05/14 15:09:35 $
+# $Name: ATLAS_608_1_5 $
+# $Revision: 1.1.1.2 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=EEE8AA
+smooth=12
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+fLuc_fHarvest_lands | "CONVFLUX CFLUX_PROD10 CFLUX_PROD100 HARVEST_ABOVE CONTFRAC"  | "" | "((CONVFLUX[d=1]+CFLUX_PROD10[d=2]+CFLUX_PROD100[d=3]+HARVEST_ABOVE[d=4])*AREAS[d=1]*CONTFRAC[d=5]*365/1e15)"                           | "CO2 flux from Land Use Change and Crop Harvesting"            | "PgC/yr" | "2"
+fHarvest_lands      | "HARVEST_ABOVE CONTFRAC"             | "" | "((HARVEST_ABOVE[d=1])*AREAS[d=1]*CONTFRAC[d=2]*365/1e15)"                           | "CO2 flux from Land Use Change and Crop Harvesting"            | "PgC/yr" | "2"
+nbp_lands           | "nbp"                                | "" | "(nbp[d=1]*Areas[d=1]*86400*365/1e12)"             | "Net Biospheric Production"       | "PgC/yr" | "2"
+cSoil_lands         | "TOTAL_SOIL_CARB VEGET_MAX CONTFRAC" | "" | "(TOTAL_SOIL_CARB[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"     | "Carbon Soil in Pool"                                   | "PgC"    | "2"
+cVeg_lands          | "TOTAL_M VEGET_MAX CONTFRAC"         | "" | "(TOTAL_M[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"             | "Carbon in vegetation"                                       | "PgC"    | "2"
+npp_lands           | "NPP VEGET_MAX CONTFRAC"             | "" | "(NPP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"             | "Net Primary Production"                                  | "PgC/yr" | "2"
+rh_lands            | "HET_RESP VEGET_MAX CONTFRAC"        | "" | "(HET_RESP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"        | "Heterotrophic Respiration"                                     | "PgC/yr" | "2"
+fFire_lands         | "CO2_FIRE VEGET_MAX CONTFRAC"        | "" | "(CO2_FIRE[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"        | "CO2 emission from fire"                                     | "PgC/yr" | "2"
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+
+