Index: CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/COMP/lmdz.card
===================================================================
--- CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/COMP/lmdz.card	(revision 1556)
+++ CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/COMP/lmdz.card	(revision 1557)
@@ -4,10 +4,12 @@
 
 [UserChoices]
-LMDZ_NbPeriod_adjust=0
-# LMDZ_NbPeriod_adjust=0
-# To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
-# LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5/XXXXXXX/ATM/Debug/XXXXXXX_Bands_96x95x19_3prc.dat_3
-LMDZ_Bands_file_name=/dmnfs11/cont003/p86cozic/IGCM_OUT/LMDZORINCA/NMHC_AER/LOI_NA_AR5WERF_co2/ATM/Debug/LOI_NA_AR5WERF_co2_20060501_20060531_Bands_96x95x19_4prc.dat
+LMDZ_NbPeriod_adjust=3
+#LMDZ_NbPeriod_adjust=0
+# To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Name/Resolution/NB Prco Job Restart
+# LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/LMDZORINCA/XXXXXXX/ATM/Debug/XXXXXXX_Bands_XXXXXXX_XXXprc.dat_3
 
+# Other specific parameters to this experience 
+aer_type=scenario
+pmagic=0.0
 
 [InitialStateFiles]
Index: CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/COMP/lmdz.driver
===================================================================
--- CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/COMP/lmdz.driver	(revision 1556)
+++ CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/COMP/lmdz.driver	(revision 1557)
@@ -3,4 +3,19 @@
 
 #-----------------------------------------------------------------
+function LMDZ_sed
+{
+    IGCM_debug_PushStack "LMDZ_sed"
+
+    sed -e "s/^${2}\ *=.*/${2}= ${3}/" ${1} > ${1}.tmp
+    RET=$?
+    echo "LMDZ_sed : ${1} ${2} ${3}"
+    \mv ${1}.tmp ${1}
+
+    IGCM_debug_PopStack "LMDZ_sed"
+    return $RET
+}
+
+#-----------------------------------------------------------------
+
 function ATM_Initialize
 {
@@ -36,31 +51,14 @@
     fi
 
-    ##--Frequency purpose ....
+
+    ##-- Output frequency purpose ....
     ##--  Initialisation  ....
-    OK_instan=n
-    ##-- 
-    OK_journe=n
-    OK_mensuel=y
+    ok_mensuel=y
+    ok_journe=n
+    ok_hf=n
+    ok_hf3h=n
+    ok_hf3hm=n
+    ok_stn=n
 
-    case ${config_UserChoices_PeriodLength} in
-	1Y|1y|1M|1m) OK_mensuel=y ;;
-	5D|5d|1D|1d) OK_journe=n ;;
-    esac
-
-    for frequency in ${config_ATM_WriteFrequency} ; do
-	case ${frequency} in
-	    5D|5d|1D|1d) OK_journe=n ;;
-	esac
-    done
-
-    ##--Variables used by LMDZ --
-    PAT_INST=$(     grep 'OK_instan'   ${SUBMIT_DIR}/PARAM/physiq.def )
-    PAT_JOUR=$(     grep 'OK_journe'   ${SUBMIT_DIR}/PARAM/physiq.def )
-    PAT_MOIS=$(     grep 'OK_mensuel'  ${SUBMIT_DIR}/PARAM/physiq.def )
-
-    PAT_iphysiq=$(  grep 'iphysiq'     ${SUBMIT_DIR}/PARAM/gcm.def )
-    PAT_iperiod=$(  grep 'iperiod'     ${SUBMIT_DIR}/PARAM/gcm.def | tail -1)
-    PAT_day_step=$( grep 'day_step'    ${SUBMIT_DIR}/PARAM/gcm.def )
-    PAT_ecritphy=$( grep 'ecritphy'    ${SUBMIT_DIR}/PARAM/gcm.def )
 
 
@@ -75,11 +73,4 @@
 
 
-    ##-- This could be define in lmdz.card, inside section [UserChoices]
-    ##-- Otherwise we get the value in *.def
-    iperiod=$(grep iperiod ${SUBMIT_DIR}/PARAM/gcm.def | awk -F= '{print $2}' | tail -1)
-    iphysiq=$(grep iphysiq ${SUBMIT_DIR}/PARAM/gcm.def | awk -F= '{print $2}')
-    # day_step : number of steps per day (multiple of iperiod)
-    (( day_step = 48 * iphysiq ))
-
     IGCM_debug_PopStack "ATM_Initialize"
 }
@@ -91,4 +82,6 @@
 
     ecritphy=${PeriodLengthInDays}
+    LMDZ_ecrit_ISCCP=${PeriodLengthInDays}.
+    LMDZ_periodav=${PeriodLengthInDays}.
 
     ##-- Remise ou non a zero de la date initiale de LMDZ pour le fichier run.def
@@ -116,34 +109,28 @@
     [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat; IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat )
 
-    ## Mise en forme du fichier physiq.def
-    sed -e "s/OK_instan=.*/OK_instan=${OK_instan}/"   	\
-	-e "s/OK_journe=.*/OK_journe=${OK_journe}/"   	\
-	-e "s/OK_mensuel=.*/OK_mensuel=${OK_mensuel}/" 	\
-	physiq.def > physiq.def.tmp
-    IGCM_sys_Mv physiq.def.tmp physiq.def
 
-    ## Mise en forme du fichier gcm.def
-    sed  -e "s/${PAT_ecritphy}/ecritphy=${ecritphy}/" 	\
-	-e "s/${PAT_day_step}/day_step=${day_step}/" 	\
-	-e "s/${PAT_iperiod}/iperiod=${iperiod}/" 	\
-	-e "s/${PAT_iphysiq}/iphysiq=${iphysiq}/" 	\
-	gcm.def > gcm.def.tmp
-    IGCM_sys_Mv gcm.def.tmp gcm.def
+    ## physiq.def parameters modified from initial physiq.def
+    #  columns in phys_output_filekeys refer to the filenames given in phys_out_filenames in output.def :  
+    #                                            histmth       histday        histhf    histfh3h   histhf3hm   histstn
+    LMDZ_sed physiq.def phys_out_filekeys       "${ok_mensuel} ${ok_journe}   ${ok_hf}  ${ok_hf3h} ${ok_hf3hm} ${ok_stn}"
+    LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
 
-    greg_dat=$( IGCM_date_ConvertFormatToGregorian $PeriodDateBegin ) 
-    jul_dat=$( IGCM_date_ConvertGregorianDateToJulian $greg_dat )
-    nbjour=$( expr \( $jul_dat \% 1000 \) ) 
-    yractu=$( expr $greg_dat / 10000  )
-    echo  "dayref = " $nbjour  "year actu = " $yractu
 
-    ## Mise en forme du fichier run.def
-    sed -e "s/_dayref_/${nbjour}/" 			\
-	-e "s/_anneeref_/${yractu}/" 			\
-        -e "s/_calend_/${CalendarTypeForLmdz}/"        	\
-	-e "s/_nday_/${PeriodLengthInDays}/" 		\
-	-e "s/_raz_date_/${RAZ_DATE}/" 			\
-	-e "s/_adjust_/${LMDZ_adjust}/"                	\
-	run.def > run.def.tmp
-    IGCM_sys_Mv run.def.tmp run.def
+    ## run.def parameters
+    LMDZ_sed run.def dayref   ${InitDay}
+    LMDZ_sed run.def anneeref ${InitYear}
+    LMDZ_sed run.def calend   ${CalendarTypeForLmdz}
+    LMDZ_sed run.def nday     ${PeriodLengthInDays}
+    LMDZ_sed run.def raz_date ${RAZ_DATE}
+    LMDZ_sed run.def periodav ${LMDZ_periodav}
+    LMDZ_sed run.def adjust   ${LMDZ_adjust}
+
+    ## Other specific parameters to this experience 
+    if [ ! X${lmdz_UserChoices_aer_type} = X ] ; then
+        LMDZ_sed physiq.def aer_type ${lmdz_UserChoices_aer_type}
+    fi
+    if [ ! X${lmdz_UserChoices_pmagic} = X ] ; then
+        LMDZ_sed physiq.def pmagic   ${lmdz_UserChoices_pmagic}
+    fi
 
     IGCM_debug_PopStack "ATM_Update"
Index: CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/Bands_96x72x19_2prc.dat
===================================================================
--- CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/Bands_96x72x19_2prc.dat	(revision 1556)
+++ 	(revision )
@@ -1,8 +1,0 @@
- 0  37
- 1  36
- 0  37
- 1  36
- 0  34
- 1  39
- 0  3456
- 1  3362
Index: CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/Bands_96x72x19_4prc.dat
===================================================================
--- CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/Bands_96x72x19_4prc.dat	(revision 1556)
+++ 	(revision )
@@ -1,16 +1,0 @@
- 0  8
- 1  28
- 2  28
- 3  9
- 0  19
- 1  18
- 2  18
- 3  18
- 0  9
- 1  31
- 2  25
- 3  8
- 0  1762
- 1  1674
- 2  1653
- 3  1729
Index: CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/gcm.def
===================================================================
--- CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/gcm.def	(revision 1556)
+++ CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/gcm.def	(revision 1557)
@@ -4,6 +4,4 @@
 ## periode pour le pas Matsuno (en pas)
 iperiod=5
-## periode de la dissipation (en pas)
-idissip=10
 ## choix de l'operateur de dissipation (star ou  non star )
 lstardis=y
@@ -24,34 +22,15 @@
 ## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog)
 purmats=n
-## guide ou pas
-ok_guide=.true.
-## utilisation de restart de la version LMDZ3
-old_restart=
-## avec ou sans physique
-##physic=n
-iflag_phys=1
-## periode de la physique (en pas)
+## avec ou sans physique                                                 
+physic=y
+## periode de la physique (en pas)                                       
 iphysiq=10
-## frequence (en  jours ) de l'ecriture du fichier histphy               
-ecritphy=1
-## frequence (en  jours ) de l'ecriture du fichier histmth           
-ecrit_mth=1
-##  Cycle diurne  ou non                 
-cycle_diurne=y
-##  Soil Model  ou non               
-soil_model=y
-##  Choix ou non  de  New oliq               
-new_oliq=y
-##  Orodr  ou  non   pour l orographie              
-ok_orodr=y
-##  Orolf  ou  non   pour l orographie              
-ok_orolf=y
-##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
-ok_limitvrai=n
-## Nombre  d'appels des routines de rayonnements ( par jour)
-nbapp_rad=12
-##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect, 30 pour 'nouvelle physique' et KE)
-iflag_con=30
-## longitude en degres du centre du zoom
+##  Avec ou sans strato
+ok_strato=n
+#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=1
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=1.e-5
+## longitude en degres du centre du zoom                                 
 clon=0.
 ## latitude en degres du centre du zoom
Index: CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/physiq.def
===================================================================
--- CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/physiq.def	(revision 1556)
+++ CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/physiq.def	(revision 1557)
@@ -1,93 +1,214 @@
-##- $Id: physiq.def 71 2007-06-21 14:26:03Z acosce $
-type_ocean=force 
-VEGET=y
-OK_journe=n
-OK_mensuel=y
-OK_instan=n
+## $Id$
+#
+# PARAMETRES ANCIENNEMENT DANS gcm.def
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Activation ou non de la parametrisation de Hines pour la strato
+ok_hines=n
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=12
+##  Flag  pour la convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(nvlle version JYG), 30 KE(version IPCC AR4), 4 KE vect
+iflag_con=30
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+##  Facteur additif pour l'albedo
+# variable modife avec lmdz.card
+pmagic=999.9
+#
+#
+# Parametres fichiers de sortie
+#
+# Noms des fichiers
+phys_out_filenames=      histmth histday histhf  histhf3h histhf3hm histstn
+# Sortir ou non les fichiers
+phys_out_filekeys=       y       y       y       y       y          n
+# Niveaux de sorties
+phys_out_filelevels=     5       5       5       5       5          5
+### Type de fichier : global (n) ou stations (y)
+phys_out_filestations =  n       n       n       n       n          y
+### Frequences des sorties
+phys_out_filetimesteps = 1.mth,  1.day,  0.25day, 0.125day, 0.125day, 1800.s
+
+# more variables for level 5 : vitw and pres
+# Vertical wind
+flag_vitw         =  2, 3, 5, 5, 1
+name_vitw         =  vitw
+# Air pressure
+flag_pres         =  2, 3, 5, 5, 1
+name_pres         =  pres
+#
+### parametres pour hist*NMC.nc
+#lev_histdayNMC: nombre de niveaux sur la verticale dans le fichier
+#                histdayNMC: 8 ou 17
+lev_histdayNMC=8
+### - ok_histNMC = y/n, y/n, y/n pour avoir les sorties NMC mensuelles, journalieres et haute frequence
+ok_histNMC = y, n, n
+
+### freqin_isccp = frequence input en secondes du simulateur ISCCP
+freq_ISCCP=10800.
+### freqout_isccp = frequence output en jours du simulateur ISCCP
+ecrit_ISCCP=_ecrit-ISCCP_
+### niveau du diagnostique de conservation d energie
 if_ebil=0
 #
 # parametres KE
 #
+### epmax = Efficacite precipitation maximale
 epmax = .99
+### ok_adj_ema = ?? pas utilise
 ok_adj_ema = n
+### iflag_clw Flag calcul eau liquide
+# - iflag_clw=0 : qcond_incld(i,l) = em_qcondc(l)
+# - iflag_clw=1 : qcond_incld(i,l) = em_qcond(l)
+# - iflag_clw=2 : eau liquide diagnostique en fonction de la Precip
 iflag_clw = 1
 # 
 # parametres nuages
 #
-cld_lc_lsc = 0.00026
-cld_lc_con = 0.00026
+### cld_lc_lsc  contenu en eau liquide des nuages large-scale (fisrtilp) 
+cld_lc_lsc = 2.6e-4
+### cld_lc_con  contenu en eau liquide des nuages convectifs (fisrtilp) 
+cld_lc_con = 2.6e-4
+### cld_tau_lsc cte de temps utilisee pour eliminer l eau large-scale (fisrtilp) 
 cld_tau_lsc = 3600.
+### cld_tau_con cte de temps utilisee pour eliminer l eau convective (fisrtilp) 
 cld_tau_con = 3600.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace large-scale (fisrtilp) 
 ffallv_lsc = 1.
+### ffallv_lsc  cte utilisee dans calcul vitesse de chute cristaux de glace convectifs (fisrtilp) 
 ffallv_con = 1.
-coef_eva = 0.00002
+### coef_eva coef evaporation precips eau/glace (fisrtilp/fisrtilp_tr?/conlmd?)
+coef_eva = 2.e-5
+### reevap_ice  reevaporation de toute la precip dans la couche du dessous pour la glace (fisrtilp) 
 reevap_ice = y
+### iflag_cldcon  flag pour calculer ratqsc=F(ratqsbas,fact_cldcon,q_seri) (physiq) 
+# - iflag_cldcon<=-1 diag. rain_Tiedtke 
+# - iflag_cldcon=1, ratqsc=ratqsbas+fact_cldcon*(q_seri(1)-q_seri(k))/q_seri(k)
+# - iflag_cldcon=1/2, ratqs=max(ratqs,ratqsc)
+# - iflag_cldcon=3,   ratqs=ratqss
 iflag_cldcon = 3
+### iflag_pdf :  flag calcul distribution sous-maille de l eau et des nuages 
+# - iflag_pdf=0, version ratqs, 
+# - iflag_pdf=1, calcul eau condensee, fraction nuageuse, eau nuageuse a partir
+# -              des PDFS de Sandrine Bony 
 iflag_pdf = 1
+### fact_cldcon  constante calcul ratqsc (voir iflag_cldcon) et proprietes nuages convectifs, clwcon0 (physiq.F) 
 fact_cldcon = 1.
-#facttemps = 1.e-4
+### facttemps=   facteur de relaxation de ratqs (iflag_cldcon=1/2) et rnebcon (iflag_cldcon=3)
 facttemps = 0.0001
+## ok_newmicro   =y appel newmicro , =n appel nuage (calcul epaisseur optique et emmissivite des nuages) 
 ok_newmicro = y
+### iflag_ratqs=0 correspond a la version IPCC AR4 
+iflag_ratqs=0
+### ratqsbas     ratqs en bas si iflag_cldcon=1 
 ratqsbas = 0.005
+### ratqshaut    ratqs en haut pour ratqss "stables"  
 ratqshaut = 0.33
+### rad_froid    rayon cristaux des nuages de glace "froids" 
 rad_froid = 35
+### rad_chau1    rayon goutelettes d eau chauds", en haut: k=4-klev 
 rad_chau1=12
+### rad_chau2    rayon goutelettes d eau chauds", en bas: k=1-3  
 rad_chau2=11
-#ksta_ter=1.e-7
-ksta_ter=0.0000001
-#
-# parametres outputs
-#
-#niveau de sortie "hf" lev_histhf avec
-# - lev_histhf=3 => defaut
-# - lev_histhf=4 => histhf3d.nc champs 3d niveaux modele
-lev_histhf=3
-#niveau de sortie "day" lev_histday
-# - lev_histday=2 => defaut
-# - lev_histday=3 => + champs 3D => F. Lott
-# - lev_histday=4 => + champs sous-surfaces
-lev_histday=2
-#niveau de sortie "mth" lev_histmth avec
-# - lev_histmth=2 => defaut
-# - lev_histmth=3 => albedo, rugosite sous-surfaces
-# - lev_histmth=4 => champs tendances 3d
-lev_histmth=4
-#
-# parametres climatique
-#
+# 
+# Coefficient et parametres sur les drags
+#
+f_cdrag_ter=0.8
+f_cdrag_stable=1.
+f_cdrag_oce=0.8
+f_rugoro=0.
+### ksta_ter      coef.diffusion minimale sur terre/sic/lic 
+ksta_ter=1.e-7
+### cdmmax =     cdrag maximum pour le moment
+cdmmax = 2.5E-3
+### cdhmax =     cdrag maximum pour l energie
+cdhmax = 2.0E-3
+#
+# Parametres "orbitaux/ ere geologique"
+#
+### R_ecc =      Excentricite
 R_ecc = 0.016715
+### R_peri =     Equinoxe
 R_peri = 102.7
+### R_incl =     Inclinaison
 R_incl = 23.441
+### solaire =    Constante solaire
 solaire = 1365.
+#
+# Taux gaz a effet de serre
+#
+### co2_ppm =    taux CO2 en ppm
 co2_ppm = 348.
+### CH4_ppb =    taux CH4 en ppb
 CH4_ppb = 1650.
+### N2O_ppb =    taux N2O en ppb
 N2O_ppb = 306.
+### CFC11_ppt =  taux CFC11 en ppt
 CFC11_ppt = 280.
-CFC12_ppt = 484.
-#
-# parametres simulateur ISCCP
-#
+### CFC12_ppt =  taux CFC12 en ppt
+CFC12_ppt = 484
+#
+# Parametres effets directs/indirects des "aerosols"
+#
+### ok_ade=y/n   flag Aerosol direct effect
+ok_ade=n
+### ok_aie=y/n   flag Aerosol indirect effect
+ok_aie=n
+### aer_type =   Aerosol variation type : actuel / preind / scenario / annuel
+# variable modife avec lmdz.card
+aer_type=xxx
+###  type of coupled aerosol =1 (default) =2 => bc  only =3 => pom only =4 => seasalt only =5 => dust only =6 => all aerosol
+flag_aerosol=1 
+### bl95_b0 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=2
+### bl95_b1 =    Parameter in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b1=0.2
+#
+# Parametre de lecture de l'ozone
+#
+# Allowed values are 0, 1 and 2
+# 0: do not read an ozone climatology
+# 1: read a single ozone climatology that will be used day and night
+# 2: read two ozone climatologies, the average day and night climatology and the daylight climatology
+read_climoz=0
+#
+# Parametres simulateur COSP (CFMIP Observational Simulator Package)
+#
+### ok_cosp=y/n flag simulateur COSP
+ok_cosp=n
+### freq_COSP = frequence d'appel de COSP en secondes
+freq_COSP=10800.
+### ok_mensuelCOSP=y/n sortir fichier mensuel COSP histmthCOSP.nc, =n pas de fichier histmthCOSP.nc
+ok_mensuelCOSP=y
+### ok_journeCOSP=y/n sortir fichier journalier histdayCOSP.nc, =n pas de fichier histdayCOSP.nc
+ok_journeCOSP=y
+### ok_hfCOSP=y/n, ecrire sorties  haute frequence histhfCOSP.nc, =n pas de fichier histhfCOSP.nc
+ok_hfCOSP=n
+#
+# Parametres simulateur ISCCP
+#
+### ok_isccp=y/n flag simulateur ISCCP
+ok_isccp=n
+### top_height = flag choix calcul nuages par le simulateur en utilisant 
+# -              les donnees IR et/ou VIS et l algorithme ISCCP-D1
+# - top_height = 1 -> algo IR-VIS
+# - top_height = 2 -> identique a 1, mais "ptop(ibox)=pfull(ilev)"
+# - top_height = 3 -> algo IR
 top_height = 3
-#overlap = 1, 2 ou 3
+### overlap =    Hypothese de Recouvrement (HR) utilisee pour le simulateur ISCCP
+# - overlap=1    Max overlap
+# - overlap=2    Random overlap
+# - overlap=3    Max/Random overlap
 overlap = 3
-#cdmmax
-#cdmmax = 2.5E-3
-cdmmax = 0.0025
-#cdhmax
-#cdhmax = 2.0E-3
-cdhmax = 0.002
-#autres flags
-iflag_pbl = 1
-iflag_thermals = 0
-iflag_ratqs=0
-iflag_clos=0
-#
-# parametre chimie/aerosols
-#
 config_inca=aero
 aerosol_couple=n
-flag_aerosol=1
-new_aod=.true.
-ok_ade=n
-ok_aie=n
-
Index: CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/run.def
===================================================================
--- CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/run.def	(revision 1556)
+++ CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/PARAM/run.def	(revision 1557)
@@ -4,6 +4,4 @@
 INCLUDEDEF=orchidee.def
 INCLUDEDEF=guide.def
-## activation du calcul d equilibrage de charge
-adjust=_adjust_
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
@@ -13,14 +11,31 @@
 ##  Annee de l'etat  initial (   avec  4  chiffres   )
 anneeref=_anneeref_
-## raz_date
-raz_date=_raz_date_
 ## Nombre de jours d'integration
 nday=_nday_
+## Remise a zero de la date initiale
+raz_date=_raz_date_
 ## periode de sortie des variables de controle (en pas)
-iconser= 480
+iconser=480
 ## periode d'ecriture du fichier histoire (en jour)
-iecri=10
-## periode de stockage fichier histmoy (en jour)
-periodav=1.
-## unite de sortie des impressions
-lunout=6
+iecri=1
+## flag de sortie dynzon
+ok_dynzon=n
+## periode de stockage fichier dynzon (en jour)
+periodav=_periodav_
+## activation du calcul d equilibrage de charge
+adjust=_adjust_
+## activation du filtre fft
+use_filtre_fft=y
+## niveau d impression de controle
+prt_level=0
+###
+### Informations sur la configuration utilisee
+###
+### type_ocean = force / slab  /couple
+type_ocean=force
+### VEGET= y si ORCHIDEE, =n si bucket
+VEGET=y
+### Parameters read only by ce0l :
+### create file grilles_gcm.nc
+grilles_gcm_netcdf=y
+
Index: CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/config.card
===================================================================
--- CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/config.card	(revision 1556)
+++ CONFIG/LMDZORINCA/tags/LMDZORINCA_v2/EXP_NMHC_AER/config.card	(revision 1557)
@@ -35,5 +35,5 @@
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=2
-JobNumProcTot=4
+JobNumProcTot=32
 #============================
 #-- Run Options : here for oasis coupling