Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/AA_make
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/AA_make	(revision 1759)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/AA_make	(revision 1760)
@@ -106,5 +106,5 @@
 aer_lmdz9671:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie AER -parallel mpi -resol 96x71x19 -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x71x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x71x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x71x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x71x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -112,5 +112,5 @@
 aer_lmdz9672:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie AER -resol 96x72x19 -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -118,5 +118,5 @@
 ch4aer_lmdz9672:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie CH4_AER -resol 96x72x19 -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/CH4_AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -124,5 +124,5 @@
 ch4_lmdz9672:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie CH4 -resol 96x72x19 -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/CH4/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -130,5 +130,5 @@
 nmhc_lmdz9672:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC -resol 96x72x19 -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -136,15 +136,15 @@
 nmhcaer_lmdz9672:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC_AER -resol 96x72x19 -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 ges_lmdz9672:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie GES -resol 96x72x19 -parallel mpi -arch $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x72x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x72x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x72x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 aer_lmdz9695:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie AER -parallel mpi -resol 96x95x19 -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -152,5 +152,5 @@
 ch4aer_lmdz9695:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie CH4_AER -parallel mpi -resol 96x95x19 -arch $(FCM_ARCH); cp SIMULATIONS/CH4_AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -158,5 +158,5 @@
 ch4_lmdz9695:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie CH4 -parallel mpi -resol 96x95x19 -arch $(FCM_ARCH); cp SIMULATIONS/CH4/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -164,5 +164,5 @@
 nmhc_lmdz9695:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC -parallel mpi  -resol 96x95x19 -arch $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
@@ -170,35 +170,35 @@
 nmhcaer_lmdz9695:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC_AER -parallel mpi -resol 96x95x19  -arch $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 ges_lmdz9695:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie GES -parallel mpi -resol 96x95x19 -arch $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 aer_lmdz144142:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie AER -parallel mpi -resol 144x142x19 -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 144x142x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 144x142x19 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x19_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 144x142x19 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_144x142x19_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 nmhc_lmdz969539:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC -parallel mpi  -resol 96x95x39 -arch $(FCM_ARCH); cp SIMULATIONS/NMHC/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x39 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x39_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 aer_lmdz969539:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie AER -parallel mpi  -resol 96x95x39 -arch $(FCM_ARCH); cp SIMULATIONS/AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x39 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x39_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 nmhcaer_lmdz969539:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie NMHC_AER -parallel mpi  -resol 96x95x39 -arch $(FCM_ARCH); cp SIMULATIONS/NMHC_AER/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x39 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x39_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 
 ges_lmdz969539:
 	(cd ../../modeles/INCA3; ./makeinca_fcm -chimie GES -parallel mpi  -resol 96x95x39 -arch $(FCM_ARCH); cp SIMULATIONS/GES/inca.dat ../../bin/inca.dat ; )	
-#	(cd ../../modeles/CREATE_E0; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
+#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -chimie INCA -d 96x95x39 -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_96x95x39_phylmd_para_inca.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d 96x95x39 -chimie INCA -v true -parallel mpi  -arch $(FCM_ARCH) gcm ; cp bin/gcm_96x95x39_phylmd_para_orch_inca.e ../../bin/gcm.e ; )
 