Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -181,5 +172,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -178,5 +169,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -178,5 +169,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/historical/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/historical/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/historical/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -179,5 +170,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/piControl/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/piControl/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5/piControl/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -178,5 +169,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5CHS/ref1/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5CHS/ref1/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/IPSLCM5CHS/ref1/config.card	(revision 1772)
@@ -29,15 +29,6 @@
 PeriodLength=1D
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 JobNumProcTot=38
-#============================
-#-- Run Options : here for oasis coupling
-#JobRunOptions='-f'
-#-- for vargas
-JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -186,5 +177,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1772)
@@ -37,5 +37,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1772)
@@ -35,5 +35,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -87,5 +78,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -118,5 +109,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -118,5 +109,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZREPR/ref1/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZREPR/ref1/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/EXPERIMENTS/LMDZREPR/ref1/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-#JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -103,5 +94,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/Chistorical/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -181,5 +172,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/CpiControl/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -178,5 +169,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/EXP00/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -178,5 +169,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/historical/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -179,5 +170,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/IPSLCM5/piControl/config.card	(revision 1772)
@@ -29,16 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 #JobNumProcTot=4
 JobNumProcTot=32
-#============================
-#-- Run Options : here for oasis coupling
-JobRunOptions='-f'
-#-- for vargas
-#JobRunOptions='"-pgmmodel MPMD -cmdfile"'
 #============================
 # config.card configuration options :
@@ -178,5 +169,4 @@
 #D-- Executable -
 [Executable]
-Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1772)
@@ -37,5 +37,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1772)
@@ -35,5 +35,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -87,5 +78,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -118,5 +109,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/IPSLCM5_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -118,5 +109,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1772)
@@ -37,5 +37,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1772)
@@ -35,5 +35,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -87,5 +78,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -118,5 +109,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -118,5 +109,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER_L39/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER_L39/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER_L39/config.card	(revision 1772)
@@ -29,17 +29,7 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors (minimum is 2 for a coupled configuration)
 JobNumProcTot=32
 #============================
-#-- Run Options : here for oasis coupling
-#-- For Vargas
-#JobRunOptions=JobRunOptions=''
-#-- For Titane 
-JobRunOptions='"-np "${config_UserChoices_JobNumProcTot}'
-#========================================================================
 #D-- ListOfComponents -
 [ListOfComponents]
@@ -53,5 +43,4 @@
 #D-- Executable -
 [Executable]
-Name=gcm.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, gcm.e)
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1772)
@@ -37,5 +37,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1772)
@@ -35,5 +35,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -87,5 +78,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/amip/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -118,5 +109,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZOR_v5/EXPERIMENTS/LMDZOR/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -118,5 +109,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 1772)
@@ -37,5 +37,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/CREATE_clim/config.card	(revision 1772)
@@ -35,5 +35,4 @@
 #D-- Executable -
 [Executable]
-Name=create_etat0_limit.e
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (create_etat0_limit.e, create_etat0_limit.e)
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZ/clim/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-#JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -87,5 +78,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZREPR/ref1/config.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZREPR/ref1/config.card	(revision 1762)
+++ CONFIG/UNIFORM/v5/LMDZREPR_v5/EXPERIMENTS/LMDZREPR/ref1/config.card	(revision 1772)
@@ -30,15 +30,6 @@
 PeriodLength=1M
 #============================
-#-- PBS Class (required on brodie mono/multi)
-#JobClass=mono
-JobClass=multi
-#============================
 #-- Total Number of Processors
 JobNumProcTot=32
-#============================
-#-- Run Options
-#JobRunOptions='"-np "${NUM_PROC_ATM}'
-#-- for vargas
-JobRunOptions=''
 #============================
 # config.card configuration options :
@@ -103,5 +94,4 @@
 #D-- Executable -
 [Executable]
-Name=lmdz.x
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)